# AccountFiles

Files management

## GET /v3/account/files

> List all files

```json
{"openapi":"3.0.1","info":{"title":"i3D.net Endpoints","version":"3.0.0"},"tags":[{"name":"AccountFiles","description":"Files management"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"AccountFile":{"type":"object","required":["id","category","name","filename","type","size","uploadedAt"],"properties":{"id":{"type":"integer","format":"integer","description":"File ID","readOnly":true},"category":{"type":"integer","format":"integer","description":"ID of the category of the file"},"name":{"type":"string","format":"","description":"File display name"},"filename":{"type":"string","format":"","description":"Name of the file"},"type":{"type":"string","format":"","description":"File MIME type","readOnly":true},"size":{"type":"integer","format":"integer","description":"File size in bytes","readOnly":true},"uploadedAt":{"type":"integer","format":"integer","description":"UNIX timestamp of when the file was uploaded","readOnly":true}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/account/files":{"get":{"tags":["AccountFiles"],"summary":"List all files","operationId":"getAccountFiles","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AccountFile"}}}}},"403":{"description":"Invalid credentials"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## GET /v3/account/files/{fileId}/download

> Download the file

```json
{"openapi":"3.0.1","info":{"title":"i3D.net Endpoints","version":"3.0.0"},"tags":[{"name":"AccountFiles","description":"Files management"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/account/files/{fileId}/download":{"get":{"tags":["AccountFiles"],"summary":"Download the file","operationId":"downloadAccountFile","parameters":[{"name":"fileId","in":"path","description":"ID of the file to download","required":true,"schema":{"type":"integer"}}],"responses":{"200":{"description":"fileContent","content":{"application/json":{"schema":{"type":"string","format":""}}}},"403":{"description":"Invalid credentials"},"404":{"description":"Invalid file ID"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.i3d.net/api-references/general/accountfiles-1.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
